ocilib::HandleHolder< T > Class Template Reference

Template class providing OCILIB handles auto memory, life cycle and scope management. More...

`#include <ocilib_core.hpp>`

## Detailed Description

### template<class T>
class ocilib::HandleHolder< T >

Template class providing OCILIB handles auto memory, life cycle and scope management.

Smart pointer class with reference counting for managing OCILIB object handles.

Definition at line 144 of file ocilib_core.hpp.